package ru.myitschool.work.domain.profile.repo

import ru.myitschool.work.domain.profile.entities.UserInfoEntity

interface UserInfoRepository {
    suspend fun getInfo(username: String) : Result<UserInfoEntity>

    suspend fun openByQr(username: String, content: String) : Result<Unit>
}